%define anolis_release 2
Summary: X.Org X11 ICE runtime library
Name: libICE
Version: 1.1.1
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz


BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(xproto) >= 7.0.25
BuildRequires: pkgconfig(xtrans)

%description
The X.Org X11 ICE (Inter-Client Exchange) runtime library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 ICE development package
Requires: %{name} = %{version}-%{release}

%description devel
The X.Org X11 ICE (Inter-Client Exchange) development package.

%prep
%setup -q

%build
%configure --disable-static \
	   --without-fop --without-xmlto
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libICE.so.6
%{_libdir}/libICE.so.6.3.0
%{abidir}/libICE.dump

%files devel
%{_docdir}/%{name}/*.xml
%{_includedir}/X11/ICE
%{_libdir}/libICE.so
%{_libdir}/pkgconfig/ice.pc

%files doc
%doc AUTHORS ChangeLog README.md

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.1.1-2
- Rebuild for remove inappropriate build dependencies.

* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 1.1.1-1
- New version 1.1.1

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.10-2
- optimise spec file 

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.10-1
- Init from upstream version 1.0.10

